using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace a
{
    class Program
    {

        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int a = int.Parse(s[0]);
            int b = int.Parse(s[1]);
            s = Console.ReadLine().Split();
            int x = int.Parse(s[0]);
            int y = int.Parse(s[1]);
            int p = a - x;
            int q = b - y;
            if (p == 0 && q == 0) Console.WriteLine("nijedan");
            else if (p == 0) Console.WriteLine("drugi");
            else if (q == 0) Console.WriteLine("prvi");
            else Console.WriteLine("?");
        }
    }
}